# Формат ChatCompletions

Источник: https://docs.aicentos.com/ru/api/chat/openai/chat-completions

Language: ru

Чат (Chat), нативный формат OpenAI

`POST /chat/completions`

## Аутентификация

Сохраните API-ключ в переменной `AICENTOS_API_KEY`; shell подставляет её значение в заголовок `Authorization: Bearer`.

API-ключ из раздела «Управление токенами» в консоли

Расположение: `header`

## Тело запроса

`application/json`

Определение типов TypeScript

Использование типов request body в TypeScript

## Тело ответа

###

`application/json`

###

`application/json`

###

`application/json`

###

`application/json`

```bash
export AICENTOS_API_KEY="sk-your-aicentos-api-key"

curl -X POST "https://aicentos.com/v1/chat/completions" \
  -H "Authorization: Bearer $AICENTOS_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{    "model": "gpt-4o-mini",    "messages": [      {        "role": "user",        "content": "Расскажи о себе одним предложением"      }    ]  }'
```

```bash
{
  "id": "chatcmpl-abc123",
  "object": "chat.completion",
  "created": 0,
  "model": "string",
  "choices": [
    {
      "index": 0,
      "message": {
        "role": "system",
        "content": "string",
        "name": "string"
      },
      "finish_reason": "stop"
    }
  ],
  "usage": {
    "prompt_tokens": 0,
    "completion_tokens": 0,
    "total_tokens": 0
  }
}
```

```bash
{
  "error": {
    "message": "Incorrect API key provided",
    "type": "authentication_error",
    "code": "invalid_api_key"
  }
}
```

```bash
{
  "error": {
    "message": "Incorrect API key provided",
    "type": "authentication_error",
    "code": "invalid_api_key"
  }
}
```

```bash
{
  "error": {
    "message": "Incorrect API key provided",
    "type": "authentication_error",
    "code": "invalid_api_key"
  }
}
```